services:
  navidrome:
    image: deluan/navidrome:0.60.3
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:4533
    volumes:
      - ./data/data:/data
      - ./data/music:/music:ro
    user: 1000:1000
    environment:
      ND_SCANSCHEDULE: 1h
      ND_LOGLEVEL: info  
      ND_SESSIONTIMEOUT: 24h
      ND_BASEURL: ""
    labels:  
      createdBy: "Apps"
networks:  
  1panel-network:  
    external: true
